%global commit fd733496fa

Name:           poscat-fedora-customizations
Version:        0
Release:        18%?dist
Summary:        Fedora customizations

License:        Unlicense
URL:            https://git.poscat.moe/poscat/fedora-customizations
Source0:        %{URL}/archive/%{commit}.tar.gz

BuildRequires:  systemd-rpm-macros
BuildArch:      noarch

Requires:       tree
Requires:       ripgrep
Requires:       age
Requires:       htop
Requires:       fish
Requires:       zsh
Requires:       eza
Requires:       fzf
Requires:       neovim
Requires:       git
Requires:       git-delta
Requires:       git-lfs
Requires:       git-annex
Requires:       bat
Requires:       ShellCheck
Requires:       unar
Requires:       zstd
Requires:       trash-cli

Requires:       sysstat
Requires:       iptraf-ng
Requires:       nethogs
Requires:       ldns-utils


%description
Fedora customizations by poscat


%prep
%autosetup -n fedora-customizations


%install
mkdir -p %{buildroot}%{_sysconfdir}/
cp -r etc/* %{buildroot}%{_sysconfdir}/
mkdir -p %{buildroot}%{_prefix}/
cp -r usr/* %{buildroot}%{_prefix}/


%files
%{_sysconfdir}/ssh/authorized_keys.d
%{_sysconfdir}/ssh/sshd_config.d/*.conf
%{_sysconfdir}/mock/*.cfg
%{_sysconfdir}/keyd/*
%{_sysconfdir}/profile.d/*.sh
%{_sysctldir}/*.conf
%{_systemd_util_dir}/resolved.conf.d/*.conf
%{_systemd_util_dir}/zram-generator.conf.d/*.conf
%{_systemd_util_dir}/system/tmp.mount.d/*.conf
/usr/lib/dracut/dracut.conf.d/*.conf
/usr/lib/sddm/sddm.conf.d/sddm.conf
/usr/lib/NetworkManager/conf.d/*.conf

%{_bindir}/update-source


%changelog
%autochangelog
